Bug 170036 - CAN-2005-0109 DSA signing not quite constant time
CAN-2005-0109 DSA signing not quite constant time
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
impact=moderate,source=openssl,public...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 14:49 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-800
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 11:34:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-06 14:49:47 EDT
Upstream has added a fix which ensure that DSA signing computations are constant
time, the previous fix doesn't seem to have been complete:
http://cvs.openssl.org/chngview?cn=13440
Comment 1 Josh Bressers 2005-10-06 14:50:58 EDT
This issue also affects RHEL3 and RHEL2.1
Comment 4 Red Hat Bugzilla 2005-10-11 11:34:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-800.html

Note You need to log in before you can comment on or make changes to this bug.